/**
  ******************************************************************************
  * @file    CAN_Networking\main.h
  * @author  MCD Application Team
  * @version V2.0.1
  * @date    18-November-2011
  * @brief   This file contains the external declaration of main.c file.
  ******************************************************************************
  */ 

// Define to prevent recursive inclusion -------------------------------------
#ifndef __MAIN_H
#define __MAIN_H

// Includes ------------------------------------------------------------------
#include "stm8s.h"
#include "stm8s_eval.h"
#include "stm8s_eval_lcd.h"
// Private variables ---------------------------------------------------------
// Exported types ------------------------------------------------------------
// Private typedef -----------------------------------------------------------
// Private define ------------------------------------------------------------
#define Key_Pressed 0x01
#define Key_NoPressed 0x00
#define TIME 0x7FFF

// Public function prototypes -----------------------------------------------
void CLK_Config(void);
void CAN_Config(void);
void GPIO_Config(void);
void LCD_Config(void);
void LED_Display(u8 Ledstatus);
void LCD_Display(u8 Ledstatus);
void Delay (uint16_t nCount);


#endif /* __MAIN_H */


