/**
  ******************************************************************************
  * @file    EXTI_InterruptPriority\main.h
  * @author  MCD Application Team
  * @version V2.0.1
  * @date    18-November-2011
  * @brief   This file contains the external declaration for main.c file.
  ******************************************************************************
  */   

// Define to prevent recursive inclusion -------------------------------------
#ifndef __MAIN_H
#define __MAIN_H

// Private typedef -----------------------------------------------------------
// Private define ------------------------------------------------------------
// Evalboard I/Os configuration 

#define LEDS_PORT (GPIOH)
#define LED1_PIN  (GPIO_PIN_3)
#define LED2_PIN  (GPIO_PIN_2)
#define LED3_PIN  (GPIO_PIN_1)
#define LED4_PIN  (GPIO_PIN_0)

#define BUTTON_PORT (GPIOC)
#define BUTTON_PIN  (GPIO_PIN_0)

#define JOYSTICK_PORT      (GPIOB)
#define JOYSTICK_LEFT_PIN  (GPIO_PIN_4)
#define JOYSTICK_RIGHT_PIN (GPIO_PIN_5)
#define JOYSTICK_UP_PIN    (GPIO_PIN_6)
#define JOYSTICK_DOWN_PIN  (GPIO_PIN_7)

#define JOYSTICK_SEL_PORT (GPIOD)
#define JOYSTICK_SEL_PIN  (GPIO_PIN_7)
// Private function prototypes -----------------------------------------------
// Private functions ---------------------------------------------------------
// Private function prototypes -----------------------------------------------
// Public functions ----------------------------------------------------------

#endif /* __MAIN_H */


