/**
  ******************************************************************************
  * @file    I2C/I2C_TwoBoards/I2C_DataExchange/Slave/main.h
  * @author  MCD Application Team
  * @version V2.0.1
  * @date    18-November-2011
  * @brief   Main program body
  ******************************************************************************
  */

// Define to prevent recursive inclusion -------------------------------------
#ifndef __MAIN_H
#define __MAIN_H


// Define I2C Addressing mode ---------------------------------------------------
// Comment the line below if you want to use the 10-bit addressing mode 
#define I2C_slave_7Bits_Address

// Define Slave Address  ---------------------------------------------------
#ifdef I2C_slave_7Bits_Address
#define SLAVE_ADDRESS 0x30
#else
#define SLAVE_ADDRESS 0x330
#endif

#endif /* __MAIN_H*/


